For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Webhooks
      • POSTCreate a new webhook subscription
      • DELDelete an existing webhook subscription
LogoLogo
API ReferenceWebhooks

Get Webhooks

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2.0/webhook
GET
/2.0/webhook
$curl -G https://sandbox-api.shipbob.com/2.0/webhook \
> -H "Authorization: Bearer <token>" \
> -d Topic=order_shipped \
> -d Page=2147483647 \
> -d Limit=1
1[
2 {
3 "created_at": "2019-08-24T14:15:22+00:00",
4 "enabled": true,
5 "id": 12345,
6 "subscription_url": "http://example.com",
7 "topic": "order_shipped"
8 }
9]
All parameters are AND filters
Was this page helpful?
Previous

Get channels

Next

Create a new webhook subscription

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

TopicenumOptional
Topic of the webhooks requested
Allowed values:
PageintegerOptional0-2147483647
Page of Webhooks to get
LimitintegerOptional1-250
Amount of Webhooks per page to request

Response headers

Page-Numberinteger
Number of the current page
Total-Pagesinteger
Total number of pages of results
Total-Countinteger
Total number of results
Page-Sizeinteger
Number of results per page
Next-Pagestring
The href of the next page of results, if there is a next page

Response

Success
created_atdatetime
Timestamp the webhook subscription was created
enabledboolean
Indicates if the webhook subscription is enabled or not
idinteger
ID of the webhook subscription
subscription_urlstringformat: "uri"
URL subscription events will be posted to
topicenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error